<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Students extends Controller_Environment_Admin
{
    public function action_index() {
        $this->twig->set([
            'Faculties' => Model_Faculties::load(),
            'Grades'    => Model_Grades::loadAll()->as_array('Degree'),
        ])->set_filename('admin/students/index');
    }

    public function action_add() {
        $this->twig->set([
            'Faculties' => Model_Faculties::load(),
            'Grades'    => Model_Grades::loadAll()->as_array('Degree'),
        ])->set_filename('admin/students/add');
    }

    public function action_upload() {
        $errors = [];

        if (!empty($_FILES['students']) && $this->request->method() == 'POST') {
            $file = $_FILES['students']["tmp_name"];
            $errors = FileParser::uploadStudents($file, $_POST['facultyID']);
        }

        $this->twig->set([
            'Errors'    => $errors,
            'Faculties' => Model_Faculties::load(),
        ])->set_filename('admin/students/upload');
    }

    public function action_edit() {
        $this->twig->set_filename('admin/students/edit');
    }
}
            